summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDmitry V. Levin <ldv@altlinux.org>2022-01-24 08:00:00 +0000
committerDmitry V. Levin <ldv@altlinux.org>2022-01-24 08:00:00 +0000
commitd8d4cf51ee112e79e151140bb5ed8037a1637bdb (patch)
treeede6650ea6ac33d94769711d6c0338c46f95a53a
parent38a5aa56d898ad8ebb2bb6b31046632eb72b7853 (diff)
downloadlinux-pam-git-d8d4cf51ee112e79e151140bb5ed8037a1637bdb.tar.gz
ci: add a git status check
* ci/run-build-and-tests.sh: Check that "git status" does not report any untracked files.
-rwxr-xr-xci/run-build-and-tests.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ci/run-build-and-tests.sh b/ci/run-build-and-tests.sh
index 070fc72a..b5398f04 100755
--- a/ci/run-build-and-tests.sh
+++ b/ci/run-build-and-tests.sh
@@ -86,3 +86,8 @@ case "${CHECK-}" in
make -k $j distcheck VERBOSE=${VERBOSE-}
;;
esac
+
+if git status --porcelain |grep '^?'; then
+ echo >&2 'git status reported untracked files'
+ exit 1
+fi